Subject: RE: Last Call: <draft-ietf-bmwg-protection-meth-09.txt> (Methodology for benchmarking MPLS protection mechanisms) to Informational RFC

From: Gregory Mirsky <[email-masked]>
Date: Mon, 12 Mar 2012 15:36:14 -0400

Dear All,
Please consider my comments for the LC:
*       I'm concerned with the very title of the document, Methodology for benchmarking MPLS protection mechanisms, even though only MPLS-TE FRR being considered while LSP end-to-end and segment protection implicitly being kept out of the scope.
*       I've found several textual inaccuracies related to both MPLS and BFD to make me wonder if the document was liasioned to MPLS WG.
*       List of acronyms is missing - PLR, OIR, LOS, AIS, etc.
*       Introduction. I think that for "planned link or node failure" MBB is more efficient and useful than FRR. But MBB is not being mentioned in the document.
*       Introduction. "A correlated failure is the simultaneous occurrence of two or more failures." Personally, as correlated events I consider events with cause-effect relationship.
*       Introduction. Path restoration after FRR discussion does not appear logical, in the scope of benchmarking document.
*       Document Scope. "Protection from Bi-directional Forwarding Detection (BFD) is outside the scope of this document." I frankly couldn't decode this sentense.
*        Document Scope. Several references to Path Restoration as Re-optimization - doubt that it belongs in the document at all.
*        Sections 6.1.1 through 6.2.4 - what is relevance of listing numbers of labels in the stack?
*       Peerformance of control plane should be outside of the scope of benchmarking as it is end-to-end metrics, not explicitly of DUT.

Regards,
        Greg